aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-03-16 15:43:35 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-03-16 15:43:35 +0000
commitd5b92c5698bec611cfec7b397b17ea2a2203afec (patch)
tree2aea61780ef48ea42e493c57640c5175bf788435
parentfe1cd94c6f6aa95d2afec297a06cf8ec754ee9b3 (diff)
downloadpaludis-d5b92c5698bec611cfec7b397b17ea2a2203afec.tar.gz
paludis-d5b92c5698bec611cfec7b397b17ea2a2203afec.tar.xz
Fix unpack
-rw-r--r--ebuild/unpack_functions.bash4
1 files changed, 2 insertions, 2 deletions
diff --git a/ebuild/unpack_functions.bash b/ebuild/unpack_functions.bash
index 85acb1a..7fae939 100644
--- a/ebuild/unpack_functions.bash
+++ b/ebuild/unpack_functions.bash
@@ -55,11 +55,11 @@ unpack_one()
;;
*.gz|*.Z|*.z)
- gzip -dc "${1}" > "${1%.*}" || die "Couldn't unpack ${1}"
+ gzip -dc "${1}" > ${WORKDIR}/$(basename "${1%.*}" ) || die "Couldn't unpack ${1}"
;;
*.bz2)
- bunzip2 -dc "${1}" > "${1%.*}" || die "Couldn't unpack ${1}"
+ bzip2 -dc "${1}" > ${WORKDIR}/$(basename "${1%.*}" ) || die "Couldn't unpack ${1}"
;;
*.rar|*.RAR)